Subject: bug#12406: 24.2.50; frame parameter `menu-bar-lines' and `menu-bar-mode'

From: "Drew Adams" <[email-masked]>
Date: Wed, 12 Sep 2012 07:13:45 -0700

>  > A user should be able, as now,
>  > to set the mode and have it (1) update all existing frames
> 
> IMHO it should update a frame iff that frame has no `menu-bar-lines'
> frame parameter.'

Why?  Why shouldn't a user be ABLE to turn on/off showing the menu bar in all
existing frames?

One way or the other, we should find ways for users to alternatively easily do
that (affecting all existing frames) OR protect some frames from that toggling.

IOW, both should be possible and easy for the user to control interactively (not
just in Lisp; e.g., using a prefix arg or a different command).

>  > and (b) affect future
>  > frames by setting the default behavior, i.e., unless overridden.